> ## Documentation Index
> Fetch the complete documentation index at: https://docs.givebutter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all campaign tickets



## OpenAPI

````yaml https://givebutter.com/docs/api.json get /v1/campaigns/{campaign}/items/tickets
openapi: 3.1.0
info:
  title: Givebutter API Documentation
  version: 1.0.0
  description: >-
    Givebutter Public API - Access and manage your campaigns, contacts,
    transactions, and more.
servers:
  - url: https://api.givebutter.com/
security:
  - http: []
paths:
  /v1/campaigns/{campaign}/items/tickets:
    get:
      tags:
        - Campaign Tickets
      summary: List all campaign tickets
      operationId: campaigns.items.tickets.index
      parameters:
        - name: campaign
          in: path
          required: true
          description: The campaign ID
          schema:
            type: integer
      responses:
        '200':
          description: Paginated set of `CampaignItemTicketResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CampaignItemTicketResource'
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        minimum: 1
                      from:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      last_page:
                        type: integer
                        minimum: 1
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                        minimum: 1
                      total:
                        type: integer
                        description: Total number of items being paginated.
                        minimum: 0
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                required:
                  - data
                  - links
                  - meta
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    CampaignItemTicketResource:
      type: object
      properties:
        id:
          type: string
        campaign_id:
          type: string
        name:
          type: string
        description:
          type: string
        price:
          type: string
        total_quantity:
          type: string
        subtype:
          type: string
        active:
          type: string
        retail_price:
          type: string
        bundle_only:
          type: string
        hide_remaining:
          type: string
        scope:
          type: string
        bundles:
          type: string
        custom_fields:
          type: string
        pictures:
          type: string
      required:
        - id
        - campaign_id
        - name
        - description
        - price
        - total_quantity
        - subtype
        - active
        - retail_price
        - bundle_only
        - hide_remaining
        - scope
        - bundles
        - custom_fields
        - pictures
      title: CampaignItemTicketResource
  responses:
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````